<?
	/** Plik wypisujacy informacje o cyklach.
	 * @author Lukasz Chmielewski
	 * @package XPAsystent
	 */

	include './functions/Aview.fun.php';

	/** Funkcja wypisujaca dane wypisywane na koncu strony.
	 * @author Lukasz Chmielewski
	 * @param int $val decyduje o specyfice wyswietlanych informacji
	 * @version 0.1
	 */
	function koncowka ($val) {
		global $sess;

		print("<BR>");
		//print("<BR>");
		if ($val > 1) {
			$link = new CLink ("Asys_cykle", "Asys_cykle");
			if ($val == 3) 
				$link->addFirstParam("What", 'N');
			$link->lprint("<CENTER>!Zwiń!</CENTER>");
			print("<BR><BR>");
		}
		printf("<div class=\"akapit\">\n");
		$link = new CLink ("Asys_grup", "Asys_grup");
		//to jest zawsze poprawne
		$link->lprint("-> wybór spośród wszystkich grup");
//		print("<BR>");
//		print("<BR>");
//		$link = new CLink ("Asys_wstep", "empty");
//		$link->lprint("-> strona wstępna");
		delCycle($val);
		printf("</div>\n");
	}

	//print"Witamy Asystencie!<BR>\n";
	print("<H1> Cykle dydaktyczne </H1>");
	//print"Wybierz, z którego cyklu dydaktycznego chciałbyś obejrzeć dane grupy:<BR><BR>\n";

	print"<H3>Cykle bieżące:</H3>\n";	
	printCycle("Acykle_A");

	if (!isset($What)) {
		$param = "What";
		$link = new CLink ("Asys_cykle", "Asys_cykle");
		$link->addFirstParam($param, 'N');
		$link->lprint("<CENTER><BR>!Więcej cykli!</CENTER>");
		koncowka('1');
		return;
	}

	print("<HR>");

	print"<H3>Cykle poprzednie:</H3>\n";	
	printCycle("Acykle_N");

	if ($What == 'N') {
		$param = "What";
		$link = new CLink ("Asys_cykle", "Asys_cykle");
		$link->addFirstParam($param, 'B');
		$link->lprint("<CENTER><BR>!Więcej cykli!</CENTER>");
		koncowka('2');
		return;
	}
	
	print"<H3>Cykle nastepne:</H3>\n";	
	printCycle("Acykle_B");
	koncowka('3');
	return;
?>
